FROM node:alpine

ENV GITLAB_AUTH_TOKEN="UXx7kB_d-1zyqCh6vnth"

USER node 

WORKDIR /app 


COPY --chown=node:node . .

RUN GITLAB_AUTH_TOKEN=$AUTH_TOKEN yarn install

EXPOSE 8000

CMD ["node", "apps.js"]